#define svn_rev 3058

Name:    qbittorrent
Summary: A Bittorrent Client 
Version: 2.4.6
Release: 1%{?dist}
Epoch:   1
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# svn checkout -r %{svn_rev} https://qbittorrent.svn.sourceforge.net/svnroot/qbittorrent/trunk qbittorrent
# rm -rf qbittorrent/.svn
# tar -czvf qbittorrent-%{svn_rev}svn.tar.gz qbittorrent
#Source0:  %{name}-%{svn_rev}svn.tar.gz
Source0: http://downloads.sf.net/qbittorrent/%{name}-%{version}.tar.gz
#Source0: http://downloads.sourceforge.net/project/qbittorrent/qbittorrent-unstable/%{name}-%{version}rc3.tar.gz
Source1: qbittorrent-nox.README
Patch0:  disable_extra_debug.patch

# Upstream patches


URL: http://sourceforge.net/projects/qbittorrent
Group: Applications/Internet
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
License: GPLv2+
BuildRequires: qt4-devel
BuildRequires: desktop-file-utils
BuildRequires: boost-devel
BuildRequires: asio-devel
BuildRequires: rb_libtorrent-devel >= 0.14.4
BuildRequires: glib2-devel
BuildRequires: libnotify-devel
BuildRequires: GeoIP-devel
BuildRequires: qtsingleapplication-devel


%{?_qt4_version:Requires: qt4 >= %{_qt4_version}}

%description
A Bittorrent client using rb_libtorrent and a Qt4 Graphical User Interface.
It aims to be as fast as possible and to provide multi-OS, unicode support.

%package nox
Summary: A Headless Bittorrent Client
Group: Applications/Internet
BuildRequires: qtsinglecoreapplication-devel

%description nox
A Headless Bittorrent client using rb_libtorrent.
It aims to be as fast as possible and to provide multi-OS, unicode support.

%prep
%setup -q
#%patch0 -p1 -b .disable_extra_debug

# Upstream patches


cp -p %{SOURCE1} .

%build
# use ./configure instead of %%configure as it doesn't work
# configure and make headless first
mkdir -p build-nox
cd build-nox
../configure --prefix=%{_prefix} --disable-gui --with-qtsingleapplication=system
cp conf.pri ..
make %{?_smp_mflags}
mv -f ../conf.pri ../conf.pri.nox
# configure and make gui version
cd ..
mkdir -p build-gui
cd build-gui
../configure --prefix=%{_prefix}  --with-qtsingleapplication=system
cp conf.pri ..
make %{?_smp_mflags}
mv -f ../conf.pri ../conf.pri.gui


%install
rm -rf $RPM_BUILD_ROOT
# install headless version
mv -f conf.pri.nox conf.pri
cd build-nox
make INSTALL_ROOT=$RPM_BUILD_ROOT install
# install gui version
cd ..
mv -f conf.pri.gui conf.pri
cd build-gui
make INSTALL_ROOT=$RPM_BUILD_ROOT install


desktop-file-install \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications/ \
  --delete-original \
        $RPM_BUILD_ROOT%{_datadir}/applications/qBittorrent.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-, root, root, -)
%doc README NEWS COPYING AUTHORS TODO Changelog
%{_mandir}/man1/qbittorrent.1*
%{_bindir}/qbittorrent
%{_datadir}/applications/qBittorrent.desktop
%{_datadir}/icons/hicolor/*/apps/qbittorrent.png

%files nox
%defattr(-,root,root,-)
%doc qbittorrent-nox.README NEWS COPYING AUTHORS TODO Changelog
%{_bindir}/qbittorrent-nox
%{_mandir}/man1/qbittorrent-nox.1*


%changelog
* Mon Oct 18 2010 leigh scott <leigh123linux@googlemail.com> - 1:2.4.6-1
- update to 2.4.6

* Sat Oct 02 2010 leigh scott <leigh123linux@googlemail.com> - 1:2.4.4-1
- update to 2.4.4

* Mon Sep 27 2010 leigh scott <leigh123linux@googlemail.com> - 1:2.4.3-1
- update to 2.4.3

* Sun Sep 26 2010 leigh scott <leigh123linux@googlemail.com> - 1:2.4.2-1
- update to 2.4.2

* Sun Sep 26 2010 leigh scott <leigh123linux@googlemail.com> - 1:2.4.1-1
- update to 2.4.1

* Tue Aug 24 2010 Leigh Scott <leigh123linux@googlemail.com> - 2.4.0-1
- update to 2.4.0 release

* Tue Aug 17 2010 Leigh Scott <leigh123linux@googlemail.com> - 1:2.3.1-1
- update to 2.3.1

* Tue Jul 27 2010 Leigh Scott <leigh123linux@googlemail.com> - 1:2.3.0-1
- update to 2.3.0 final

* Thu Jul 22 2010 Leigh Scott <leigh123linux@googlemail.com> - 1:2.2.11-1
- update to 2.2.11
- use system qtsinglecoreapplication and qtsingleapplication libs
- add Br qtsinglecoreapplication-devel
- add Br qtsingleapplication-devel
- add patch so nox uses qtsinglecoreapplication

* Tue Jul 20 2010 Leigh Scott <leigh123linux@googlemail.com> - 1:2.2.8-2
- add epoch and revert version to 2.2.8 as the newer versions violate the
  bundled libs guidelines

* Tue Jun 22 2010 Leigh Scott <leigh123linux@googlemail.com> - 2.2.10-1
- update to 2.2.10

* Sun Jun 13 2010 Leigh Scott <leigh123linux@googlemail.com> - 2.2.9-1
- update to 2.2.9

* Mon May 24 2010 Leigh Scott <leigh123linux@googlemail.com> - 2.2.8-1
- update to 2.2.8

* Thu May 13 2010 Leigh Scott <leigh123linux@googlemail.com> - 2.2.7-1
- update to 2.2.7

* Sun Apr 18 2010 Leigh Scott <leigh123linux@googlemail.com> - 2.2.6-1
- update to 2.2.6

* Wed Apr 07 2010 Leigh Scott <leigh123linux@googlemail.com> - 2.2.5-1
- update to 2.2.5

* Tue Apr 06 2010 Leigh Scott <leigh123linux@googlemail.com> - 2.2.4-1
- update to 2.2.4

* Sun Apr 04 2010 Leigh Scott <leigh123linux@googlemail.com> - 2.2.3-1
- update to 2.2.3
- drop upstream patch (disable peer host name resolution)

* Mon Mar 29 2010 leigh scott <leigh123linux@googlemail.com> - 2.2.2-2
- add patch to disable peer host name resolution (bz577723)

* Mon Mar 22 2010 leigh scott <leigh123linux@googlemail.com> - 2.2.2-1
- update to 2.2.2

* Sat Mar 20 2010 leigh scott <leigh123linux@googlemail.com> - 2.2.1-1
- update to 2.2.1

* Sun Mar 14 2010 leigh scott <leigh123linux@googlemail.com> - 2.2.0-1
- update to 2.2.0

* Thu Mar 04 2010 leigh scott <leigh123linux@googlemail.com> - 2.1.6-1
- update to 2.1.6

* Wed Feb 24 2010 Leigh Scott <leigh123linux@googlemail.com> - 2.1.5-6
- rebuilt for new qt version

* Wed Feb 24 2010 Leigh Scott <leigh123linux@googlemail.com> - 2.1.5-5
- rebuilt for new qt version[leigh@localhost

* Fri Feb 19 2010 Leigh Scott <leigh123linux@googlemail.com> - 2.1.5-4
- rebuilt for new qt version

* Fri Feb 12 2010 Leigh Scott <leigh123linux@googlemail.com> - 2.1.5-3
- rebuild against the correct qt version
- add requires qt4

* Thu Feb 11 2010 Leigh Scott <leigh123linux@googlemail.com> - 2.1.5-2
- drop gcc patch

* Wed Feb 10 2010 Leigh Scott <leigh123linux@googlemail.com> - 2.1.5-1
- update to 2.1.5
- fix possible race condition in search engine (#563666)
- add build require GeoIP-devel

* Mon Feb 08 2010 leigh scott <leigh123linux@googlemail.com> - 2.1.4-1
- update to 2.1.4

* Sun Jan 31 2010 Leigh Scott <leigh123linux@googlemail.com> - 2.1.3-1
- update to 2.1.3

* Sun Jan 24 2010 Leigh Scott <leigh123linux@googlemail.com> - 2.1.2-1
- update to 2.1.2

* Thu Jan 21 2010 leigh scott <leigh123linux@googlemail.com> - 2.1.1-3
- add some docs to the nox package

* Wed Jan 20 2010 leigh scott <leigh123linux@googlemail.com> - 2.1.1-2
- seperate the gui and nox build processes so debuginfo is built properly

* Wed Jan 20 2010 leigh scott <leigh123linux@googlemail.com> - 2.1.1-1
- update to 2.1.1

* Mon Jan 18 2010 Leigh Scott <leigh123linux@googlemail.com> - 2.1.0-2
- add nox package

* Mon Jan 18 2010 Leigh Scott <leigh123linux@googlemail.com> - 2.1.0-1
- update to 2.1.0

* Mon Jan 11 2010 Leigh Scott <leigh123linux@googlemail.com> - 2.0.7-1
- update to 2.0.7

* Tue Jan 05 2010 Leigh Scott <leigh123linux@googlemail.com> - 2.0.6-1
- update to 2.0.6

* Thu Dec 31 2009 Leigh Scott <leigh123linux@googlemail.com> - 2.0.5-1
- update to 2.0.5

* Wed Dec 30 2009 Leigh Scott <leigh123linux@googlemail.com> - 2.0.4-1
- update to 2.0.4

* Wed Dec 23 2009 Leigh Scott <leigh123linux@googlemail.com> - 2.0.3-1
- update to 2.0.3

* Fri Dec 18 2009 Leigh Scott <leigh123linux@googlemail.com> - 2.0.2-1
- update to 2.0.2
- add gcc patch to fix #548491

* Mon Dec 14 2009 Leigh Scott <leigh123linux@googlemail.com> - 2.0.1-1
- update to 2.0.1
- clean up spec file

* Thu Dec 10 2009 Leigh Scott <leigh123linux@googlemail.com> - 2.0.0-1
- update to 2.0.0
- add Br: libnotify-devel
- drop Br: curl-devel, zziplib-devel

* Thu Nov 19 2009 Leigh Scott <leigh123linux@googlemail.com> - 1.5.6-1
- update to 1.5.6

* Wed Nov 04 2009 leigh scott <leigh123linux@googlemail.com> - 1.5.5-1
- update to 1.5.5

* Fri Oct 30 2009 leigh scott <leigh123linux@googlemail.com> - 1.5.4-2
- rebuild for rb_libtorrent-0.14.6

* Sun Oct 25 2009 leigh scott <leigh123linux@googlemail.com> - 1.5.4-1
- update to 1.5.4
- drop flags patch

* Tue Sep 22 2009 leigh scott <leigh123linux@googlemail.com> - 1.5.2-1
- update to 1.5.2

* Thu Sep 10 2009 leigh scott <leigh123linux@googlemail.com> - 1.5.1-2
- correct prep section package name

* Thu Sep 10 2009 leigh scott <leigh123linux@googlemail.com> - 1.5.1-1
- update to 1.5.1

* Sat Aug 29 2009 leigh scott <leigh123linux@googlemail.com> - 1.5.0-0.2.20090829svn
- add icons_qrc.patch

* Sat Aug 29 2009 leigh scott <leigh123linux@googlemail.com> - 1.5.0-0.1.20090829svn
- update to svn 2578
- redo qbittorrent_flag patch (again :-( )

* Sat Aug 29 2009 leigh scott <leigh123linux@googlemail.com> - 1.4.1-3
- redo qbittorrent_flag patch (again :-( )

* Sat Aug 29 2009 leigh scott <leigh123linux@googlemail.com> - 1.4.1-2
- redo qbittorrent_flag patch

* Sat Aug 29 2009 leigh scott <leigh123linux@googlemail.com> - 1.4.1-1
- update to 1.4.1

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 1.4.0-0.10.rc2
- rebuilt with new openssl

* Fri Aug 07 2009 leigh scott <leigh123linux@googlemail.com> - 1.4.0-0.9.rc2
- correct prep section package name

* Fri Aug 07 2009 leigh scott <leigh123linux@googlemail.com> - 1.4.0-0.8.rc2
- update to 1.4.0rc2

* Mon Aug 03 2009 leigh scott <leigh123linux@googlemail.com> - 1.4.0-0.7.20090803svn
- update to svn 2417

* Sat Jul 25 2009 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-0.6.20090725svn
- update to svn 2409

* Wed Jul 15 2009 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-0.5.20090715svn
- update to svn 2385

* Tue Jun 23 2009 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-0.4.20090429svn
- replace update-mime-database with update-desktop-database
- update scriplets to the latest guidelines
- clean up white space

* Thu Jun 4 2009 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-0.3.20090429svn
- Rebuild against the new rb_libtorrent version 0.14.4

* Fri May 22 2009 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-0.2.20090429svn
- rebuild against boost-1.39

* Thu Apr 30 2009 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-0.1.20090429svn
- Correct version & release tag
- Update to svn 2341 

* Wed Apr 29 2009 Leigh Scott <leigh123linux@googlemail.com> - 1.3.3-3.4.2340svn
- Rebuild against the new rb_libtorrent version 0.14.3

* Sun Apr 26 2009 Leigh Scott <leigh123linux@googlemail.com> - 1.3.3-3.3.2340svn
- Fix command to generate tarball

* Sun Apr 26 2009 Leigh Scott <leigh123linux@googlemail.com> - 1.3.3-3.2.2340svn
- Fixes peference UI bug and splash screen  (launchpad 366957)

* Sat Apr 25 2009 Leigh Scott <leigh123linux@googlemail.com> - 1.3.3-3.1.1511bzr
- Update to bzr 1511 

* Thu Apr 9 2009 Leigh Scott <leigh123linux@googlemail.com> - 1.3.3-2
- Remember to update Source in spec file 

* Thu Apr 9 2009 Leigh Scott <leigh123linux@googlemail.com> - 1.3.3-1
- update to version 1.3.3

* Sat Mar 7 2009 Leigh Scott <leigh123linux@googlemail.com> - 1.3.2-13
- Had problems with cvs commit

* Sat Mar 7 2009 Leigh Scott <leigh123linux@googlemail.com> - 1.3.2-12
- update to version 1.3.2

* Wed Mar 4 2009 Leigh Scott <leigh123linux@googlemail.com> - 1.3.1-11
- Remove qhostaddress.h.patch 

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009  Leigh Scott <leigh123linux@googlemail.com> - 1.3.1-9
- add Br glib2-devel

* Mon Feb 23 2009  Leigh Scott <leigh123linux@googlemail.com> - 1.3.1-8
- Add patch to fix qt build error (Thanks for the fix Rex)

* Mon Feb 9 2009  Leigh Scott <leigh123linux@googlemail.com> - 1.3.1-7
- add patch to remove flags from menu to conform to Fedora 
- packaging guidelines.

* Sun Feb 8 2009  Leigh Scott <leigh123linux@googlemail.com> - 1.3.1-6
- add more changes for review  

* Sat Feb 7 2009  Leigh Scott <leigh123linux@googlemail.com> - 1.3.1-5
- update to 1.3.1 and add more recommended changes for review

* Thu Feb 5 2009  Leigh Scott <leigh123linux@googlemail.com> - 1.3.0-4
- add update-mime-database to the post & postun sections

* Thu Feb 5 2009  Leigh Scott <leigh123linux@googlemail.com> - 1.3.0-3
- add recommended changes for review

* Wed Jan 14 2009 Leigh Scott <leigh123linux@googlemail.com> - 1.3.0-2
- clean up spec file

* Wed Jan 14 2009 Leigh Scott <leigh123linux@googlemail.com> - 1.3.0-1
- update version

* Tue Jan 6 2009 Leigh Scott <leigh123linux@googlemail.com> - 1.3bzr1436
- bzr build 1436

* Fri Nov 7 2008 Leigh Scott <leigh123linux@googlemail.com> - 1.3bzr1303
- first bzr build
- remove libMagick++ dependency 

* Tue Nov 4 2008 Leigh Scott <leigh123linux@googlemail.com> - 1.2.0-2
- add requires qbittorrent-release

* Tue Nov 4 2008 Leigh Scott <leigh123linux@googlemail.com> - 1.2.0-1
- update version

* Thu Oct 9 2008 Leigh Scott <leigh123linux@googlemail.com> - 1.1.4-5
- rebuild against the rebuilt rb_libtorrent package

* Thu Oct 9 2008 Leigh Scott <leigh123linux@googlemail.com> - 1.1.4-4
- build with gmake & fix group tag 

* Wed Oct 8 2008 Leigh Scott <leigh123linux@googlemail.com> - 1.1.4-3
- rebuild to fix destop file + icon

* Wed Oct 8 2008 Leigh Scott <leigh123linux@googlemail.com> - 1.1.4-2
- rebuild

* Sun Apr 13 2008 - Leigh Scott <leigh123linux@googlemail.com> 
- Initial release

